Uncaught Exception Affecting org.elasticsearch.plugin:x-pack-core package, versions [8.4.0,8.11.1)


0.0
medium

Snyk CVSS

    Attack Complexity Low
    Availability High

    Threat Intelligence

    EPSS 0.04% (9th percentile)
Expand this section
Red Hat
4.3 medium

Do your applications use this vulnerable package?

In a few clicks we can analyze your entire application and see what components are vulnerable in your application, and suggest you quick fixes.

Test your applications
  • Snyk ID SNYK-JAVA-ORGELASTICSEARCHPLUGIN-6514731
  • published 31 Mar 2024
  • disclosed 29 Mar 2024
  • credit Unknown

How to fix?

Upgrade org.elasticsearch.plugin:x-pack-core to version 8.11.1 or higher.

Overview

Affected versions of this package are vulnerable to Uncaught Exception when an encrypted PDF is passed to an attachment processor through the REST API. An attacker can trigger a crash by sending such an attachment. Unencrypted files and password-protected files are not vulnerable.

Workaround

This vulnerability can be avoided by disabling the attachment processor.